package rulettasztal;

import java.util.Random;

/**
 * @author Daniel "3ICE" Berezvai
 */
public class RandomPlayer extends AbstractPlayer {

  public RandomPlayer(Random rnd) {
    super(rnd);
  }

  public Integer getCredit() {
    return credit;
  }

  public void giveCredit(Integer credit) {
    this.credit += credit;
  }

  public Integer nextBetNumber() {
    return rnd.nextInt(37);
  }

  public Integer nextBetCredit() {
    Integer tmp;
    if (credit < 6) {
      tmp = credit;
      credit = 0;
      return tmp;
    } else {
      tmp = rnd.nextInt(5) + 1;
      credit -= tmp;
      return tmp;
    }
  }
}
