package rulettasztal;

import java.util.Random;

/**
 * @author Daniel "3ICE" Berezvai
 */
public class TacticalPlayer extends AbstractPlayer {

  Integer lastBetNumber;
  Integer lastBetCredit;

  public TacticalPlayer(Random rnd) {
    super(rnd);
  }

  public Integer getCredit() {
    return credit;
  }

  public void giveCredit(Integer credit) {
    lastBetNumber = rnd.nextInt(37);
    lastBetCredit = 1;
    this.credit += credit;
  }

  public Integer nextBetNumber() {
    return lastBetNumber;
  }

  public Integer nextBetCredit() {
    if (credit > lastBetCredit) {
      lastBetCredit++;
      credit -= lastBetCredit;
      return lastBetCredit;
    } else {
      lastBetCredit = credit;
      credit -= lastBetCredit;
      return credit;
    }
  }
}
